{% extends "base.html" %}

{% block content %}
    <h4>Site-To-Site Configuration</h4>
    {% if s2s_config %}
        {% for row in s2s_config %}
            <table class="table table-sm">
            <thead class="thead-dark">
            <tr>
                <th>Site-To-Site ID</th>
                <td>{{ row.id }}</td>
            </tr>
            <tr>
                <th>Time Created</th>
                <td>{{ row.time_created }}</td>
            </tr>
            <tr>
                <th>VPN Type</th>
                <td>{% if row.l3 %}Layer 3 VPN {% else %}Layer 2 VPN{% endif %}</td>
            </tr>
            <tr>
                <th>A: Public IP</th>
                <td>{{ row.a_public_ip }}</td>
            </tr>
            <tr>
                <th>A: Public Port</th>
                <td>{{ row.a_public_port }}</td>
            </tr>
            <tr>
                <th>A: Public Key</th>
                <td>{{ row.a_public_key }}</td>
            </tr>
            <tr>
                <th>A: Tunnel CIDR</th>
                <td>{{ row.a_tunnel_cidr }}</td>
            </tr>
            <tr>
                <th>A: Local Networks</th>
                <td>{{ row.a_local_networks }}</td>
            </tr>
            <tr>
                <th>B: Public IP</th>
                <td>{{ row.b_public_ip }}</td>
            </tr>
            <tr>
                <th>B: Public Port</th>
                <td>{{ row.b_public_port }}</td>
            </tr>
            <tr>
                <th>B: Public Key</th>
                <td>{{ row.b_public_key }}</td>
            </tr>
            <tr>
                <th>B: Tunnel CIDR</th>
                <td>{{ row.b_tunnel_cidr }}</td>
            </tr>
            <tr>
                <th>B: Local Networks</th>
                <td>{{ row.b_local_networks }}</td>
            </tr>
            <tr>
                <th>Keepalive</th>
                <td>{{ row.keepalive }}</td>
            </tr>
            <tr>
                <th>Wireguard Interface Status</th>
                <td>{{ wg_state }}</td>
            </tr>
            <tr>
                <th>Start / Stop S2S Connection</th>
                <td>
                    <form class="float-left mr-3"
                          action="{{ url_for("url.start_stop", what="s2s" ,value="start") }}" method="post">
                        <button class="btn btn-success btn-sm" type="submit" value="Start">
                            <i class="fas fa-fw fa-play-circle"></i>
                        </button>
                    </form>
                    <form class="" action="{{ url_for("url.start_stop", what="s2s", value="stop") }}" method="post">
                        <button class="btn btn-danger btn-sm" type="submit" value="Stop">
                            <i class="fas fa-fw fa-stop-circle"></i>
                        </button>
                    </form>
                </td>
            </tr>
            <tr>
                <th>Export S2S Config</th>
                <td>
                    <a href="{{ url_for("url.export_s2s") }}">
                        <button class="btn btn-info btn-sm" type="submit" value="Export">
                            <i class="fas fa-fw fa-file-export"></i>
                        </button>
                    </a>
                </td>
            </tr>
            <tr>
                <th>Edit S2S Setup</th>
                <td>
                    <a href="{{ url_for("url.setup_s2s") }}">
                        <button class="btn btn-info btn-sm" formmethod="post">
                            <i class="fas fa -fw fa-edit"></i>
                        </button>
                    </a>
                </td>
            </tr>
            <tr>
                <th>Delete S2S Config</th>
                <td>
                    <form action="{{ url_for("url.delete_s2s", s2s_id=row.id) }}" method="post">
                        <button class="btn btn-danger btn-sm" type="submit" value="Delete!">
                            <i class="fas fa-fw fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
            </thead>
        {% endfor %}
    </table>
    {% else %}
        <p>There was no Site-To-Site configuration done yet!</p>
    {% endif %}
{% endblock %}
